module.exports = {
  parser: 'babel-eslint',
  extends: ['prettier'],
  env: {
    browser: true,
    node: true,
    jest: true,
    es6: true,
  },
  globals: {
    google: true,
  },
  plugins: [],
  parserOptions: {
    ecmaVersion: 6,
    sourceType: 'module',
    ecmaFeatures: {},
  },
  rules: {
    'consistent-return': 'off',
    'no-return-assign': 'off',
    'global-require': 'off',
    'arrow-body-style': 'off',
    'no-tabs': 0,
    'class-methods-use-this': 0,
    'no-underscore-dangle': ['error', { allow: ['__'] }],
    'max-len': 0,
    'newline-per-chained-call': 0,
    'no-confusing-arrow': 0,
    'no-console': 1,
    'no-use-before-define': 0,
    'prefer-template': 2,
    'require-yield': 0,
  },
};
